diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-lp.h ns-3.44/src/internet/model/tcp-lp.h
--- ns-3.43/src/internet/model/tcp-lp.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-lp.h	2025-03-09 16:55:49.407371300 -0700
@@ -22,44 +22,44 @@
 class TcpSocketState;
 
 /**
- * \ingroup congestionOps
+ * @ingroup congestionOps
  *
- * \brief TCP-LP (Low Priority) congestion control algorithm
+ * @brief TCP-LP (Low Priority) congestion control algorithm
  */
 class TcpLp : public TcpNewReno
 {
   public:
     /**
-     * \brief Get the type ID.
+     * @brief Get the type ID.
      *
-     * \return the object TypeId
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates an unbound tcp socket.
+     * @brief Creates an unbound tcp socket.
      *
      */
     TcpLp();
 
     /**
-     * \brief Copy constructor
+     * @brief Copy constructor
      *
-     * \param sock the object to copy
+     * @param sock the object to copy
      */
     TcpLp(const TcpLp& sock);
 
     ~TcpLp() override;
 
     /**
-     * \brief Timing information on received ACK
+     * @brief Timing information on received ACK
      *
      * The function is called every time an ACK is received.
      * It determines the state of TcpLp and adjusts the congestion window accordingly.
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments acked
-     * \param rtt last rtt
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments acked
+     * @param rtt last rtt
      */
     void PktsAcked(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked, const Time& rtt) override;
 
@@ -69,16 +69,16 @@
 
   protected:
     /**
-     * \brief Invokes Congestion Avoidance of TcpNewReno if TcpLp is not within inference.
+     * @brief Invokes Congestion Avoidance of TcpNewReno if TcpLp is not within inference.
      *
-     * \param tcb internal congestion state
-     * \param segmentsAcked count of segments acked
+     * @param tcb internal congestion state
+     * @param segmentsAcked count of segments acked
      */
     void CongestionAvoidance(Ptr<TcpSocketState> tcb, uint32_t segmentsAcked) override;
 
   private:
     /**
-     * \brief Describes the state of TcpLp.
+     * @brief Describes the state of TcpLp.
      *
      */
     enum State
@@ -98,18 +98,18 @@
 
   private:
     /**
-     * \brief Calculates One-Way Delay using Sender and Receiver timestamps.
+     * @brief Calculates One-Way Delay using Sender and Receiver timestamps.
      *
-     * \param tcb internal congestion state
-     * \return One-Way Delay
+     * @param tcb internal congestion state
+     * @return One-Way Delay
      */
     uint32_t OwdCalculator(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Estimates minimum and maximum One-Way Delays and calculates the smoothed One-Way
+     * @brief Estimates minimum and maximum One-Way Delays and calculates the smoothed One-Way
      * Delay.
      *
-     * \param tcb internal congestion state
+     * @param tcb internal congestion state
      */
     void RttSample(Ptr<TcpSocketState> tcb);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-option.h ns-3.44/src/internet/model/tcp-option.h
--- ns-3.43/src/internet/model/tcp-option.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-option.h	2025-03-09 16:55:49.407371300 -0700
@@ -19,7 +19,7 @@
 {
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
  * Base class for all kinds of TCP options
  */
@@ -30,8 +30,8 @@
     ~TcpOption() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -55,56 +55,56 @@
     };
 
     /**
-     * \brief Print the Option contents
-     * \param os the output stream
+     * @brief Print the Option contents
+     * @param os the output stream
      */
     virtual void Print(std::ostream& os) const = 0;
     /**
-     * \brief Serialize the Option to a buffer iterator
-     * \param start the buffer iterator
+     * @brief Serialize the Option to a buffer iterator
+     * @param start the buffer iterator
      */
     virtual void Serialize(Buffer::Iterator start) const = 0;
 
     /**
-     * \brief Deserialize the Option from a buffer iterator
-     * \param start the buffer iterator
-     * \returns the number of deserialized bytes
+     * @brief Deserialize the Option from a buffer iterator
+     * @param start the buffer iterator
+     * @returns the number of deserialized bytes
      */
     virtual uint32_t Deserialize(Buffer::Iterator start) = 0;
 
     /**
-     * \brief Get the `kind' (as in \RFC{793}) of this option
-     * \return the Option Kind
+     * @brief Get the `kind' (as in \RFC{793}) of this option
+     * @return the Option Kind
      */
     virtual uint8_t GetKind() const = 0;
     /**
-     * \brief Returns number of bytes required for Option
+     * @brief Returns number of bytes required for Option
      * serialization.
      *
-     * \returns number of bytes required for Option
+     * @returns number of bytes required for Option
      * serialization
      */
     virtual uint32_t GetSerializedSize() const = 0;
 
     /**
-     * \brief Creates an option
-     * \param kind the option kind
-     * \return the requested option or an ns3::UnknownOption if the option is not supported
+     * @brief Creates an option
+     * @param kind the option kind
+     * @return the requested option or an ns3::UnknownOption if the option is not supported
      */
     static Ptr<TcpOption> CreateOption(uint8_t kind);
 
     /**
-     * \brief Check if the option is implemented
-     * \param kind the Option kind
-     * \return true if the option is known
+     * @brief Check if the option is implemented
+     * @param kind the Option kind
+     * @return true if the option is known
      */
     static bool IsKindKnown(uint8_t kind);
 };
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
- * \brief An unknown TCP option.
+ * @brief An unknown TCP option.
  *
  * An unknown option can be deserialized and (only if deserialized previously)
  * serialized again.
@@ -116,8 +116,8 @@
     ~TcpOptionUnknown() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-option-rfc793.h ns-3.44/src/internet/model/tcp-option-rfc793.h
--- ns-3.43/src/internet/model/tcp-option-rfc793.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-option-rfc793.h	2025-03-09 16:55:49.407371300 -0700
@@ -14,7 +14,7 @@
 {
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
  * Defines the TCP option of kind 0 (end of option list) as in \RFC{793}
  */
@@ -25,8 +25,8 @@
     ~TcpOptionEnd() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -49,8 +49,8 @@
     ~TcpOptionNOP() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -73,8 +73,8 @@
     ~TcpOptionMSS() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -87,13 +87,13 @@
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Get the Maximum Segment Size stored in the Option
-     * \return The Maximum Segment Size
+     * @brief Get the Maximum Segment Size stored in the Option
+     * @return The Maximum Segment Size
      */
     uint16_t GetMSS() const;
     /**
-     * \brief Set the Maximum Segment Size stored in the Option
-     * \param mss The Maximum Segment Size
+     * @brief Set the Maximum Segment Size stored in the Option
+     * @param mss The Maximum Segment Size
      */
     void SetMSS(uint16_t mss);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-option-sack.h ns-3.44/src/internet/model/tcp-option-sack.h
--- ns-3.43/src/internet/model/tcp-option-sack.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-option-sack.h	2025-03-09 16:55:49.407371300 -0700
@@ -22,7 +22,7 @@
 {
 
 /**
- * \brief Defines the TCP option of kind 5 (selective acknowledgment option) as
+ * @brief Defines the TCP option of kind 5 (selective acknowledgment option) as
  * in \RFC{2018}
  *
  * TCP SACK Option is used by a receiver to report non-contiguous blocks of data
@@ -40,8 +40,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -60,25 +60,25 @@
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Add a SACK block
-     * \param s the SACK block to be added
+     * @brief Add a SACK block
+     * @param s the SACK block to be added
      */
     void AddSackBlock(SackBlock s);
 
     /**
-     * \brief Count the total number of SACK blocks
-     * \return the total number of SACK blocks
+     * @brief Count the total number of SACK blocks
+     * @return the total number of SACK blocks
      */
     uint32_t GetNumSackBlocks() const;
 
     /**
-     * \brief Clear the SACK list
+     * @brief Clear the SACK list
      */
     void ClearSackList();
 
     /**
-     * \brief Get the SACK list
-     * \return the SACK list
+     * @brief Get the SACK list
+     * @return the SACK list
      */
     SackList GetSackList() const;
 
@@ -89,18 +89,18 @@
 };
 
 /**
- * \brief Output operator.
- * \param os The output stream.
- * \param sackOption the option to print.
- * \returns The output stream.
+ * @brief Output operator.
+ * @param os The output stream.
+ * @param sackOption the option to print.
+ * @returns The output stream.
  */
 std::ostream& operator<<(std::ostream& os, const TcpOptionSack& sackOption);
 
 /**
- * \brief Output operator.
- * \param os The output stream.
- * \param sackBlock the block to print.
- * \returns The output stream.
+ * @brief Output operator.
+ * @param os The output stream.
+ * @param sackBlock the block to print.
+ * @returns The output stream.
  */
 std::ostream& operator<<(std::ostream& os, const TcpOptionSack::SackBlock& sackBlock);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-option-sack-permitted.h ns-3.44/src/internet/model/tcp-option-sack-permitted.h
--- ns-3.43/src/internet/model/tcp-option-sack-permitted.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-option-sack-permitted.h	2025-03-09 16:55:49.407371300 -0700
@@ -20,7 +20,7 @@
 {
 
 /**
- * \brief Defines the TCP option of kind 4 (selective acknowledgment permitted
+ * @brief Defines the TCP option of kind 4 (selective acknowledgment permitted
  * option) as in \RFC{2018}
  *
  * TCP Sack-Permitted Option is 2-byte in length and sent in a SYN segment by a
@@ -32,8 +32,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-option-ts.cc ns-3.44/src/internet/model/tcp-option-ts.cc
--- ns-3.43/src/internet/model/tcp-option-ts.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-option-ts.cc	2025-03-09 16:55:49.407371300 -0700
@@ -135,7 +135,7 @@
     uint64_t now64 = (uint64_t)Simulator::Now().GetMilliSeconds();
     uint32_t now32 = now64 & 0xFFFFFFFF;
 
-    Time ret = Seconds(0.0);
+    Time ret;
     if (now32 > echoTime)
     {
         ret = MilliSeconds(now32 - echoTime);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-option-ts.h ns-3.44/src/internet/model/tcp-option-ts.h
--- ns-3.43/src/internet/model/tcp-option-ts.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-option-ts.h	2025-03-09 16:55:49.407371300 -0700
@@ -17,7 +17,7 @@
 {
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
  * Defines the TCP option of kind 8 (timestamp option) as in \RFC{1323}
  */
@@ -29,8 +29,8 @@
     ~TcpOptionTS() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -43,28 +43,28 @@
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Get the timestamp stored in the Option
-     * \return the timestamp
+     * @brief Get the timestamp stored in the Option
+     * @return the timestamp
      */
     uint32_t GetTimestamp() const;
     /**
-     * \brief Get the timestamp echo stored in the Option
-     * \return the timestamp echo
+     * @brief Get the timestamp echo stored in the Option
+     * @return the timestamp echo
      */
     uint32_t GetEcho() const;
     /**
-     * \brief Set the timestamp stored in the Option
-     * \param ts the timestamp
+     * @brief Set the timestamp stored in the Option
+     * @param ts the timestamp
      */
     void SetTimestamp(uint32_t ts);
     /**
-     * \brief Set the timestamp echo stored in the Option
-     * \param ts the timestamp echo
+     * @brief Set the timestamp echo stored in the Option
+     * @param ts the timestamp echo
      */
     void SetEcho(uint32_t ts);
 
     /**
-     * \brief Return an uint32_t value which represent "now"
+     * @brief Return an uint32_t value which represent "now"
      *
      * The value returned is usually used as Timestamp option for the
      * TCP header; when the value will be echoed back, calculating the RTT
@@ -74,19 +74,19 @@
      * is implemented in OS, we use milliseconds. Any change to this must be
      * reflected to EstimateRttFromTs.
      *
-     * \see EstimateRttFromTs
-     * \return The Timestamp value to use
+     * @see EstimateRttFromTs
+     * @return The Timestamp value to use
      */
     static uint32_t NowToTsValue();
 
     /**
-     * \brief Estimate the Time elapsed from a TS echo value
+     * @brief Estimate the Time elapsed from a TS echo value
      *
      * The echoTime should be a value returned from NowToTsValue.
      *
-     * \param echoTime Echoed value from other side
-     * \see NowToTsValue
-     * \return The measured RTT
+     * @param echoTime Echoed value from other side
+     * @see NowToTsValue
+     * @return The measured RTT
      */
     static Time ElapsedTimeFromTsValue(uint32_t echoTime);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-option-winscale.h ns-3.44/src/internet/model/tcp-option-winscale.h
--- ns-3.43/src/internet/model/tcp-option-winscale.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-option-winscale.h	2025-03-09 16:55:49.407371300 -0700
@@ -16,9 +16,9 @@
 {
 
 /**
- * \ingroup tcp
+ * @ingroup tcp
  *
- * \brief Defines the TCP option of kind 3 (window scale option) as in \RFC{1323}
+ * @brief Defines the TCP option of kind 3 (window scale option) as in \RFC{1323}
  *
  * For more efficient use of high bandwidth networks, a larger TCP window size
  * may be used. The TCP window size field controls the flow of data and its
@@ -40,8 +40,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -57,17 +57,17 @@
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Get the scale value (uint8_t)
-     * \return The scale value
+     * @brief Get the scale value (uint8_t)
+     * @return The scale value
      */
     uint8_t GetScale() const;
 
     /**
-     * \brief Set the scale option
+     * @brief Set the scale option
      *
      * The scale option SHOULD be <= 14 (as \RFC{1323}).
      *
-     * \param scale Scale factor
+     * @param scale Scale factor
      */
     void SetScale(uint8_t scale);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-prr-recovery.h ns-3.44/src/internet/model/tcp-prr-recovery.h
--- ns-3.43/src/internet/model/tcp-prr-recovery.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-prr-recovery.h	2025-03-09 16:55:49.407371300 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup recoveryOps
+ * @ingroup recoveryOps
  *
- * \brief An implementation of PRR
+ * @brief An implementation of PRR
  *
  * PRR is an algorithm that determines TCP's sending rate in fast
  * recovery. PRR avoids excessive window reductions and aims for
@@ -32,8 +32,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -43,8 +43,8 @@
     TcpPrrRecovery();
 
     /**
-     * \brief Copy constructor
-     * \param sock the object to copy
+     * @brief Copy constructor
+     * @param sock the object to copy
      */
     TcpPrrRecovery(const TcpPrrRecovery& sock);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-rate-ops.cc ns-3.44/src/internet/model/tcp-rate-ops.cc
--- ns-3.43/src/internet/model/tcp-rate-ops.cc	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-rate-ops.cc	2025-03-09 16:55:49.407371300 -0700
@@ -69,7 +69,7 @@
      * a SACK reneging event may overestimate bw by including packets that
      * were SACKed before the reneg.
      */
-    if (m_rateSample.m_priorTime == Seconds(0) || is_sack_reneg)
+    if (m_rateSample.m_priorTime.IsZero() || is_sack_reneg)
     {
         NS_LOG_INFO("PriorTime is zero, invalidating sample");
         m_rateSample.m_delivered = -1;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/tcp-rate-ops.h ns-3.44/src/internet/model/tcp-rate-ops.h
--- ns-3.43/src/internet/model/tcp-rate-ops.h	2024-10-09 16:41:09.892655800 -0700
+++ ns-3.44/src/internet/model/tcp-rate-ops.h	2025-03-09 16:55:49.407371300 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \brief Interface for all operations that involve a Rate monitoring for TCP.
+ * @brief Interface for all operations that involve a Rate monitoring for TCP.
  *
  * The interface is meant to take information to generate rate information
  * valid for congestion avoidance algorithm such as BBR.
@@ -33,24 +33,24 @@
 
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /**
-     * \brief Put the rate information inside the sent skb
+     * @brief Put the rate information inside the sent skb
      *
      * Snapshot the current delivery information in the skb, to generate
      * a rate sample later when the skb is (s)acked in SkbDelivered ().
      *
-     * \param skb The SKB sent
-     * \param isStartOfTransmission true if this is a start of transmission
+     * @param skb The SKB sent
+     * @param isStartOfTransmission true if this is a start of transmission
      * (i.e., in_flight == 0)
      */
     virtual void SkbSent(TcpTxItem* skb, bool isStartOfTransmission) = 0;
 
     /**
-     * \brief Update the Rate information after an item is received
+     * @brief Update the Rate information after an item is received
      *
      * When an skb is sacked or acked, we fill in the rate sample with the (prior)
      * delivery information when the skb was last transmitted.
@@ -59,22 +59,22 @@
      * called multiple times. We favor the information from the most recently
      * sent skb, i.e., the skb with the highest prior_delivered count.
      *
-     * \param skb The SKB delivered ((s)ACKed)
+     * @param skb The SKB delivered ((s)ACKed)
      */
     virtual void SkbDelivered(TcpTxItem* skb) = 0;
 
     /**
-     * \brief If a gap is detected between sends, it means we are app-limited.
+     * @brief If a gap is detected between sends, it means we are app-limited.
      * TODO What the Linux kernel is setting in tp->app_limited?
      * https://elixir.bootlin.com/linux/latest/source/net/ipv4/tcp_rate.c#L177
      *
-     * \param cWnd Congestion Window
-     * \param in_flight In Flight size (in bytes)
-     * \param segmentSize Segment size
-     * \param tailSeq Tail Sequence
-     * \param nextTx NextTx
-     * \param lostOut Number of lost bytes
-     * \param retransOut Number of retransmitted bytes
+     * @param cWnd Congestion Window
+     * @param in_flight In Flight size (in bytes)
+     * @param segmentSize Segment size
+     * @param tailSeq Tail Sequence
+     * @param nextTx NextTx
+     * @param lostOut Number of lost bytes
+     * @param retransOut Number of retransmitted bytes
      */
     virtual void CalculateAppLimited(uint32_t cWnd,
                                      uint32_t in_flight,
@@ -86,21 +86,21 @@
 
     /**
      *
-     * \brief Generate a TcpRateSample to feed a congestion avoidance algorithm.
+     * @brief Generate a TcpRateSample to feed a congestion avoidance algorithm.
      *
      * This function will be called after an ACK (or a SACK) is received. The
      * (S)ACK carries some implicit information, such as how many segments have been
      * lost or delivered. These values will be this function input.
      *
-     * \param delivered number of delivered segments (e.g., receiving a cumulative
+     * @param delivered number of delivered segments (e.g., receiving a cumulative
      * ACK means having more than 1 segment delivered) relative to the most recent
      * (S)ACK received
-     * \param lost number of segments that we detected as lost after the reception
+     * @param lost number of segments that we detected as lost after the reception
      * of the most recent (S)ACK
-     * \param priorInFlight number of segments previously considered in flight
-     * \param is_sack_reneg Is SACK reneged?
-     * \param minRtt Minimum RTT so far
-     * \return The TcpRateSample that will be used for CA
+     * @param priorInFlight number of segments previously considered in flight
+     * @param is_sack_reneg Is SACK reneged?
+     * @param minRtt Minimum RTT so far
+     * @return The TcpRateSample that will be used for CA
      */
     virtual const TcpRateSample& GenerateSample(uint32_t delivered,
                                                 uint32_t lost,
@@ -109,13 +109,13 @@
                                                 const Time& minRtt) = 0;
 
     /**
-     * \return The information about the rate connection
+     * @return The information about the rate connection
      *
      */
     virtual const TcpRateConnection& GetConnectionRate() = 0;
 
     /**
-     * \brief Rate Sample structure
+     * @brief Rate Sample structure
      *
      * A rate sample measures the number of (original/retransmitted) data
      * packets delivered "delivered" over an interval of time "interval_us".
@@ -128,56 +128,53 @@
     struct TcpRateSample
     {
         DataRate m_deliveryRate{DataRate("0bps")}; //!< The delivery rate sample
-        bool m_isAppLimited{false};    //!< Indicates whether the rate sample is application-limited
-        Time m_interval{Seconds(0.0)}; //!< The length of the sampling interval
+        bool m_isAppLimited{false}; //!< Indicates whether the rate sample is application-limited
+        Time m_interval;            //!< The length of the sampling interval
         int32_t m_delivered{
             0}; //!< The amount of data marked as delivered over the sampling interval
-        uint32_t m_priorDelivered{0};   //!< The delivered count of the most recent packet delivered
-        Time m_priorTime{Seconds(0.0)}; //!< The delivered time of the most recent packet delivered
-        Time m_sendElapsed{
-            Seconds(0.0)}; //!< Send time interval calculated from the most recent packet delivered
-        Time m_ackElapsed{
-            Seconds(0.0)}; //!< ACK time interval calculated from the most recent packet delivered
+        uint32_t m_priorDelivered{0}; //!< The delivered count of the most recent packet delivered
+        Time m_priorTime;             //!< The delivered time of the most recent packet delivered
+        Time m_sendElapsed; //!< Send time interval calculated from the most recent packet delivered
+        Time m_ackElapsed;  //!< ACK time interval calculated from the most recent packet delivered
         uint32_t m_bytesLoss{
             0}; //!< The amount of data marked as lost from the most recent ack received
         uint32_t m_priorInFlight{0}; //!< The value if bytes in flight prior to last received ack
         uint32_t m_ackedSacked{0}; //!< The amount of data acked and sacked in the last received ack
 
         /**
-         * \brief Is the sample valid?
-         * \return true if the sample is valid, false otherwise.
+         * @brief Is the sample valid?
+         * @return true if the sample is valid, false otherwise.
          */
         bool IsValid() const
         {
-            return (m_priorTime != Seconds(0.0) || m_interval != Seconds(0.0));
+            return (!m_priorTime.IsZero() || !m_interval.IsZero());
         }
     };
 
     /**
-     * \brief Information about the connection rate
+     * @brief Information about the connection rate
      *
      * In this struct, the values are for the entire connection, and not just
      * for an interval of time
      */
     struct TcpRateConnection
     {
-        uint64_t m_delivered{0};          //!< The total amount of data in bytes delivered so far
-        Time m_deliveredTime{Seconds(0)}; //!< Simulator time when m_delivered was last updated
-        Time m_firstSentTime{
-            Seconds(0)}; //!< The send time of the packet that was most recently marked as delivered
+        uint64_t m_delivered{0}; //!< The total amount of data in bytes delivered so far
+        Time m_deliveredTime;    //!< Simulator time when m_delivered was last updated
+        Time m_firstSentTime;    //!< The send time of the packet that was most recently marked as
+                                 //!< delivered
         uint32_t m_appLimited{
             0}; //!< The index of the last transmitted packet marked as application-limited
         uint32_t m_txItemDelivered{0}; //!< The value of delivered when the acked item was sent
         int32_t m_rateDelivered{
             0}; //!< The amount of data delivered considered to calculate delivery rate.
-        Time m_rateInterval{
-            Seconds(0)}; //!< The value of interval considered to calculate delivery rate.
+        Time m_rateInterval; //!< The value of interval considered to calculate delivery rate.
         bool m_rateAppLimited{false}; //!< Was sample was taken when data is app limited?
     };
 };
 
 /**
- * \brief Linux management and generation of Rate information for TCP
+ * @brief Linux management and generation of Rate information for TCP
  *
  * This class is inspired by what Linux is performing in tcp_rate.c
  */
@@ -186,8 +183,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -220,7 +217,7 @@
      *
      * The callback will be fired each time the rate is updated.
      *
-     * \param [in] rate The rate information.
+     * @param [in] rate The rate information.
      */
     typedef void (*TcpRateUpdated)(const TcpRateConnection& rate);
 
@@ -229,7 +226,7 @@
      *
      * The callback will be fired each time the rate sample is updated.
      *
-     * \param [in] sample The rate sample that will be passed to congestion control
+     * @param [in] sample The rate sample that will be passed to congestion control
      * algorithms.
      */
     typedef void (*TcpRateSampleUpdated)(const TcpRateSample& sample);
@@ -244,34 +241,34 @@
 };
 
 /**
- * \brief Output operator.
- * \param os The output stream.
- * \param sample the TcpRateLinux::TcpRateSample to print.
- * \returns The output stream.
+ * @brief Output operator.
+ * @param os The output stream.
+ * @param sample the TcpRateLinux::TcpRateSample to print.
+ * @returns The output stream.
  */
 std::ostream& operator<<(std::ostream& os, const TcpRateOps::TcpRateSample& sample);
 
 /**
- * \brief Output operator.
- * \param os The output stream.
- * \param rate the TcpRateLinux::TcpRateConnection to print.
- * \returns The output stream.
+ * @brief Output operator.
+ * @param os The output stream.
+ * @param rate the TcpRateLinux::TcpRateConnection to print.
+ * @returns The output stream.
  */
 std::ostream& operator<<(std::ostream& os, const TcpRateOps::TcpRateConnection& rate);
 
 /**
  * Comparison operator
- * \param lhs left operand
- * \param rhs right operand
- * \return true if the operands are equal
+ * @param lhs left operand
+ * @param rhs right operand
+ * @return true if the operands are equal
  */
 bool operator==(const TcpRateLinux::TcpRateSample& lhs, const TcpRateLinux::TcpRateSample& rhs);
 
 /**
  * Comparison operator
- * \param lhs left operand
- * \param rhs right operand
- * \return true if the operands are equal
+ * @param lhs left operand
+ * @param rhs right operand
+ * @return true if the operands are equal
  */
 bool operator==(const TcpRateLinux::TcpRateConnection& lhs,
                 const TcpRateLinux::TcpRateConnection& rhs);
